using System;

namespace kvalifikacije2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            double max = 0.0;
            double[] br = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] niz = Console.ReadLine().Split();
                a[i] = Int32.Parse(niz[0]);
                p[i] = Double.Parse(niz[1]);
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (p[i] <= p[j])
                        br[i] += (a[j] * p[i]) / 100;
                }
                if(i==0)
                    max = br[0];
                else
                {
                    if (br[i] > br[i - 1])
                        max = br[i];
                }
            }
            Console.WriteLine(max);
        }
    }
}